using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Spaces;

public partial class Admin_Main : Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        BindSet();
    }
    void BindSet()
    {
        UserConfig uc = Tools.GetUserConfigBySession();
        this.HomeLink.NavigateUrl = string.Format(Config.GetConfig().DefaultDomain, Account);
        HomeLink.Text = string.Format(Globals.Text["LayoutSettings_HomePage"], Account);
        this.lnkSpaceManage.NavigateUrl = Globals.GetSiteUrls().DiskHome(Account);
        lnkSpaceManage.Text = Globals.Text["LayoutSettings_Upload"];
        string url=Request.QueryString["URL"];
        linkMusicBox.NavigateUrl = Globals.GetSiteUrls().MusicBox(Account);
        linkMusicBox.Text = Globals.Text["LayoutSettings_ManageMusic"];
        linkAlbum.NavigateUrl = Globals.GetSiteUrls().Album(Account);
        linkAlbum.Text = Globals.Text["LayoutSettings_ManagePicture"];
        linkHomePage.HRef = Globals.GetSiteUrls().HomePage();
       
        string urladd = Request.QueryString["url"];
        if (urladd != null)
        {
            RedirectJs.Text = string.Format("<script>mainFrame.location= '{0}'</script>",urladd);
        
        }
       if (uc.Theme.ToLower() == "msn")
      {
            LnkEditMode.NavigateUrl = Globals.GetSiteUrls().EditMode(uc.Account);
            LnkEditMode.Text = Globals.Text["LayoutSettings_SetSpaceLayout"];
        }
        
    }
   
    string Account
    {
        get { return Page.User.Identity.Name; }
    }
}
